layer_average_pooling_1d {keras} | R Documentation

## Average pooling for temporal data.

### Description

Average pooling for temporal data.

### Usage

    layer_average_pooling_1d(object, pool_size = 2L, strides = NULL,
      padding = "valid", data_format = "channels_last",
      batch_size = NULL, name = NULL, trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`pool_size` | Integer, size of the average pooling windows.
`strides` | Integer, or NULL. Factor by which to downscale. E.g. 2 will halve the input. If NULL, it will default to `pool_size`.
`padding` | One of `"valid"` or `"same"` (case-insensitive).
`data_format` | One of `channels_last` (default) or `channels_first`. The ordering of the dimensions in the inputs.
`batch_size` | Fixed batch size for layer
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Input shape

3D tensor with shape: `(batch_size, steps, features)`.

### Output shape

3D tensor with shape: `(batch_size, downsampled_steps, features)`.

### See Also

Other pooling layers: `layer_average_pooling_2d`, `layer_average_pooling_3d`, `layer_global_average_pooling_1d`, `layer_global_average_pooling_2d`, `layer_global_average_pooling_3d`, `layer_global_max_pooling_1d`, `layer_global_max_pooling_2d`, `layer_global_max_pooling_3d`, `layer_max_pooling_1d`, `layer_max_pooling_2d`, `layer_max_pooling_3d`

[Package keras version 2.2.4 Index]